Reklam

Çizim Paylaş

Bülten Aboneliği
*  E-posta adresiniz:



* Güvenlik kodu:

Seçilen nesnelerin alanlarını toplayıp yazan lisp

Seçilen nesnelerin alanlarını toplayıp istenilen bi açıklama ile ekranda istediğiniz yere yazdırabileceğiniz bir lisp
Ehya - 09.10.2005 01:48
Yazar: Ehya
Kaynak:

(Kontrol panelinizde görünür)
Seçilen nesnelerin alanlarını toplayıp istenilen bi açıklama ile ekranda istediğiniz yere yazdırabileceğiniz bir lisp...

Buraya tıklayarak açılan pencereden AutoLISP kodlarını Ctrl + C ile kopyalayabilirsiniz

Kod:

(defun m2_br_sec ()
  (if (= cizim_birim nil)
  (progn
(initget 1 "mEtre Cm Mm")   
(setq cizim_birim (getkword "
Çizim Birimini seçiniz [mEtre / Cm / Mm]:")))))
(defun m2_stil ()
    (setq m2_stil_ara (tblsearch "style" "m2"))
    (if (= m2_stil_ara nil)
      (progn
(setq m2_yaz_yuk 12)
(setq m2_yaz_y (getdist (strcat "
Yazı Yüksekliği:< " (rtos m2_yaz_yuk) ">:")))
(if (= m2_yaz_y nil)
  (setq m2_yaz_y m2_yaz_yuk))
(setq m2_yaz_yuk m2_yaz_y)
(command "style" "m2" "arial.ttf" m2_yaz_yuk  "0.8" "" "" ""))))
(defun c:m2 ()
(setvar "modemacro" "Archme Design 2008 © by --> EhYa <--")
(setvar "cmdecho" 0)
(m2_br_sec)
    (if (= cizim_birim "mEtre")
      (progn
      (setq m2_bol 100)))

(if (= cizim_birim "Cm")
      (progn
      (setq m2_bol 10000)))
  (if (= cizim_birim "Mm")
      (progn
      (setq m2_bol 1000000)))
(setq m2_secim (ssget '((-4 . "<OR")
      (0 . "LWPOLYLINE")
      (0 . "POLYLINE")
      (0 . "CIRCLE")
      (0 . "ELLIPSE")
      (0 . "SPLINE")
      (0 . "REGION")
      (0 . "3DSOLID")
      (-4 . "OR>"))))
(if (= m2_secim nil)
  (progn
    (princ))
  (progn
    (setq m2_secim_say (sslength m2_secim))
    (setq m2_c 0)
    (setq m2_toplam 0)
    (while (< m2_c m2_secim_say)
      (setq m2_secim_tek (ssname m2_secim m2_c))
      (command "area" "e" m2_secim_tek)
      (setq m2_tek_alan (/ (getvar  "area") m2_bol))
      (setq m2_toplam (+ m2_toplam m2_tek_alan))
      (setq m2_c (+ m2_c 1)))
(m2_stil)
(setq m2_aciklama (getstring t "
Yazılacak metni yazınız:"))
(setq m2_yer (getpoint "
Yer Gösterin:"))
(if (= m2_yer nil)
(progn
  (princ "
Yer gösterilmediği için komut bitirildi !!!..."))
  (progn
    (command "text" m2_yer "0" m2_aciklama)
    (command "text" "" (strcat (rtos m2_toplam 2 2) " m2"))
  ))))(princ))
(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")

Bu kodları nasıl kullanacağınızı bilmiyorsanız aşağıdaki linkten;
AutoLISP > Konu Anlatımları > Lisp Dosyalarının oluşturulması ve Yüklenmesi
konusunu inceleyiniz.
Download sayısı: 2423, Boyut: mb
Yorumlar :
geleduses   08.04.2013 01:58 #15044  

Yeni versiyon Autocad lerde çalışmadığı aşikar. 100 kere denemişimdir belki değer pozitif veya 0 olmayan bir değer olmalı diyor ve gül gibi bir metin kutumuz oluyor istediğimiz boyutlarda yaklaşık 450 parçadan oluşan bir kalıp planını 3D modelleyip birleştirip patlatıyorum sonra alan ölçüyorum. Daha önceden kullanıyordum lisp i gayet de memnundum sadece silindirik yüzeyleri ölçemiyordu ama artık hiç çalışmıyor. Bazı eksikleri var fakat yazan arkadaşın ellerine sağlık çalıştığı zamanlarda çok işime yaramıştı.

bugrahanbatu   18.01.2013 17:14 #14944  

Nesneyi seciyorum, sectikten sonra alani yazmiyor, eror cikiyor
cikan sonuc soyle


Yer Gosterin:
Value must be positive and nonzero.
; error: Function cancelled
Specify height <2500.0000>: *Cancel*


Bu neden olur fikri olan varmi acaba?

poseidoon   23.08.2012 09:33 #14741  

Sorunsuz kullandigim bir Lispti fakat

Value must be positive and nonzero.
hatasi vermeye basladi neden acaba?
yardimci olabilir misiniz?

handanturan   23.11.2010 13:24 #13524  

olmuyor ki

FERHAT ATAKAN   14.10.2009 23:54 #11864  

M2
Select objects: Specify opposite corner: 1 found
Select objects:
Yazılacak metni yazınız:ll
Yer Gösterin:
Value must be positive and nonzero.
; error: Function cancelled
Specify height <16.82>: *Cancel*
komutu yazdıktan sonra sırayla işlemlerden sonra bu hata geliyor m2 yazmıyor otomatik kendisi.

FERHAT ATAKAN   14.10.2009 23:50 #11863  

herkese hayırlı akşamlar benim bu komutu yüklediğimde bu hata veriyor nedendir yardımcı olabilirsiniz
error: Function cancelled

delta   20.02.2009 13:07 #10513  

tesekkur ederim, eline saglik.

fthayd   18.02.2009 13:18 #10483  

ehya lisp icin tesekkur ederim, eline saglik.

exited Ctrl A yap daha sonrada Ctrl C ile kopyala word belgesine yapistir oradan istedigin kismi cekip alabilirsin. Elindeki bir lisp dosyasini farkli kaydedip icerigi silip oraya yapistirabilirsin. Tabi daha sonrada dosyanin adini degistirip, dosyayi silmeyecegin ve degistirmeyecegin bi yere tasi.

exited   08.02.2009 12:49 #10347  

Kodları alamıyorum

tarikakin18   28.01.2009 14:58 #10273  

ARKADASLAR BEN BURDAN BU KODLARI KOPYALAYAMIYORUM SAG TIKLIORUM OLMUYOR BI YERDEDE YAZILMISI YOK NE YAPMAM GEREK BANA YARDIM EDİN

ehya   09.01.2009 14:42 #10129  

Bende diyorum ki, bu lispi yazan benim ve katı modelleri etkileyecek bir değişkenin olmadığını söylüyorum. Hatta bu lispi database kullanmadan sırf autocad komutlarını kullanarak yazdım. Sorunun bu lispten kaynaklanmadığını rahatlıkla söyleyebilirim.

baroborro   09.01.2009 14:07 #10128  

Ucs ayarımda bir sorun yok. Dikkat ettiyseniz, lisp yüklü değilken böyle bir sorun oluşmadığını belirttim.

ehya   09.01.2009 14:03 #10127  

böyle bir durum söz konusu değil. Yazılan kodlamalarda katı modelleri etkileyecek hiçbir kod yok. Ucs ayarınızı kontrol etmelisiniz.

baroborro   09.01.2009 13:13 #10125  

lisp için teşekkürler, çok faydalı. ama başka komutları etkiliyor. örneğin katı cisim kesme (slice) etkileniyor. seçilen elemanların tamamını kesmeme gibi ilginç bir bozulma oluyor. üstelik kesilmeyen elemanı tek başına seçtiğimde de kesilmiyor. ancak programı kapatıp açtığımda işlem normal gerçekleşiyor.

ehya   27.06.2008 15:13 #8530  

mm verilen ölçüler zaten m2 olarak yazar ve virgülden sonra 2 basamak vermesini ben istedim. Malum küsüratlar meydana çıksın diye. İstemiyorsanız,

(command "text" "" (strcat (rtos m2_toplam 2 2) " m2"))

satırını

(command "text" "" (strcat (rtos m2_toplam 2 0) " m2"))

olarak değiştirin.

alirizasahin   27.06.2008 14:45 #8529  

Hazırlayan arkadaşın emeğine sağlık. Yalnız mm olarak verdiğim ölçüleri kapalı alan içerine m2 olarak yazmak istiyorum. 2 sıfırı fazla yazıyor

ehya   21.04.2008 17:32 #7967  

tekrar sorması için birşey yazmadım. en kısa yolu dosyanızı kapatıp yeniden açmanız...

betbet   21.04.2008 16:51 #7964  

Lisp için teşekkürler, güzel bi komut çalışıyor ayrıca ama başta "m" dedim "cm"ye çevirmek istiyorum ne yapmam lazım acaba?

ehya   15.04.2008 00:15 #7895  

Lisp çalışırken ilk aşamada sizden çizim birimi isteyecek, "cm" çizerken çizim birimini "m" derseniz tabiki dediğiniz gibi yapar...

beyto   14.04.2008 20:28 #7894  

alo millet lisp çalışıyoda valla ölçekten herhalde 78 m2 yi 0.78 olarak yazıyo herhalde ölçüden kaynaklanıyo bu

ehya   03.03.2008 23:48 #7474  

waytooraider

Ya arkadaşlar, kullandığım bi lispe çalışmıyo demeyin zoruma gidiyo
defun c: illa lispin başına olacak diye bi şart yokki. lisp içinde gecen c: olan bölüm komutun ana başlangıç yeri.
eğer c: kullanılmadan bişiler yazıldı ise lisp içinde modül hazırlanmış demek..
Hem dikkatli bakarsan 18nci satırda defun c: olan bölüm var. Yani ilkine c: yazman hiç birşey ifade etmez.
Lispi yüklerken bi hata veriyordur.
error: extra right paren on input ya da error: malformed list on input

İlki "" veya kapatma parantezinin ")" fazla olduğunu belirtir.
ikincisi ise "" veya kapatma parantezinin ")" eksik olduğunu belirtir.
Sanırım bu sayfadan copy-paste yaparken lispin başındaki veya sonundaki parantezi almıyorsunuz.
Yine çalışmıyo demeyin. Şimdi tekrar kontrol ettim. Lisp çok da güzel çalışıyo

waytooraider   03.03.2008 20:40 #7472  

Bu lisp çalışmıyor ehya 1.sı defun:c eksık ikincisi yazdım ama yinede olmadı

lwend   12.12.2007 10:41 #6730  

paylasimin icin cok tesekkurler

ehya   29.11.2007 14:56 #6576  

Lispi düzelttim. Tekrar alabilirsiniz..

aloneathome2   29.11.2007 11:23 #6570  

arkadaşlar bugün yükledim. forumda anlatıldığı gibi. ancak bunlar yazdı:

Command: APPLOAD
Seçilen nesnelerin alanlarını toplayıp yazan lisp.LSP successfully loaded.
Command: ; error: malformed list on input

napıcaz??

emroda   01.11.2007 14:05 #6224  

2 sıfır fazla yazıyo evt

ehya   20.09.2007 15:55 #5658  

bi yanlışınız olmalı. siteden copy-paste yaparken hata yapmış olabilrisiniz. bi üst satırda (princ) yazan yerin sonuna ) işaretini yazın. hala olmuyorsa, lisp yüklenirken hatalı ise hata mesajı verir. bu mesajı bildirin...

alparslan_ozturk   20.09.2007 12:47 #5654  

komut satırına m2 yazıyorum ama çalışmıyor. söylediğiniz parantez hatasını da düzelttim yine de çalışmadı. bilinmeyen komut uyarısı çıkıyor. teşekkürler

ehya   19.09.2007 12:57 #5632  

Arkadaşlar yukarıdada yazmıştım ama yine belirteyim. Kodlamada bir parantez eksiği yüzünden hata veriyor. Size nasıl düzeltebileceğinizi söyleyeyim.
En alt bölümde bulunan
))))(princ)
(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")


satırını
))))(princ))
(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")


olarak değiştirin. Sorununuz çözülecektir...

Sessiz Kabus   19.09.2007 12:48 #5630  

YÜKLEDİM AMA m2 KOMUTU ÇALIŞMIYOR...

conquer   29.06.2007 03:35 #4773  

Arkadaşlar lispi yükleyebiliyorum ama
komut olarak m2 yazdığımda lisp çalışmıyor acaba problem nerden kaynaklanıyor.

c_gemicioglu   14.06.2007 19:13 #4619  

ALANI 2 SIFIR YANLIŞMI YAZIYO BANAMI ÖLE GELDİ

ehya   06.06.2007 01:13 #4540  

Arkadaşlar "Malformed List on input" hatasının sebebi, bir tane parantez hatasından kaynaklanıyor
Düzeltmek için, aşağıdaki bölüm lispin en altındaki bölüm. Başına sağdan kapatma parantesinden bira tane daha ekleyin. Sorun çözülecektir.
))))(princ)

Harbi65   10.05.2007 01:12 #4215  

arkadaşlar aradığım lispi buldum ama bunu çalıştıramadım:
''error: malformed list on input'' hatası veriyor simsek77 nin de bahsettiği gibi... yardımcı olacak bi arkadaş yok mu...?

simsek77   03.05.2007 15:21 #4142  

"error: malformed list on input" hatası veriyo malesef bende.

ilterdurmaz   20.03.2007 17:10 #3468  

komut satırına m2 yazınca çalıştıramadım

ehya   23.12.2006 13:53 #1499  

arkadaşlar;
bu lispi çalıştırmak için önce lispi appload komutunu çalıştırarak yükleyin. ardından komut olarak m2 yazın.
sizden önce çizim birimini isteyecek. m ve cm diye. bundan sonra m2lerini toplamak istediğiniz kapalı nesneleri seçin. seçim işleminden sonra ekranda bir nokta gösterin. seçilen nesnelerin toplamını göstermiş olduğunuz yere yazar.

başka bir hata veriyorsa o hatayı yazın. ona göre çözüm üretelim...

mimanti5   04.12.2006 13:47 #1187  

lisp i sorunsuz yuklememe ragmen bunu kullanamıyorum. nasıl kullanıldığını ayrıntılı şekilde anlatırsanız sevinirim.

abaskan   01.12.2006 13:44 #1151  

merhaba arkadaslar lispleri kopyalama sansi yokmu? yazmakmi gerekiyor? tesekkurler

ressam_0682   29.11.2006 11:37 #1107  

arkadaslar area komutuda işinize yarar diye düşündüm AREA -enter- S-enter-O_enter yapın sectiğiniz alanların toplam metrekaresini versin calıstıramayan arkadasların işine yarayabilir

rsahin   17.11.2006 01:43 #958  

arkadaşlar bende çalıştıramadım bu lispi
nasıl kullandığınızı anlatırsanız sevinirim

erolkahveci   02.04.2006 14:06 #269  

Çok güzel bir lisp belkide her çizim için 20 dakikayı, yapabileceğim hataları da katarsak faydasını anlatamam herhalde.... Bunu hazırladığın için çok teşekkürler....

ahmetsunal   28.03.2006 17:54 #267  

calistiramadim

kirshof   21.02.2006 18:00 #227  

teşekkürler bende böyle bir lisp arıyordum.bu bilgileri paylaştığınız için çok teşekkür.
Birde seçilen alanın içine istediğimiz kadar armatür yerleştirebilirmiyiz.Sanırım böyle bir lispte vardı.onuda bizlerle paylaşırsan seviniriz.

Copyright © 2004-2017 | Tüm Hakları Saklıdır | 1108 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam